﻿using System;
using System.Windows.Forms;

using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.pasteButton.Click += pasteButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 붙여넣기 버튼 클릭시 처리하기 - pasteButton_Click(sender, e)

        /// <summary>
        /// 붙여넣기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void pasteButton_Click(object sender, EventArgs e)
        {
            if(Clipboard.GetDataObject().GetDataPresent("System.String") == true)
            {
                if(this.textEdit.SelectionLength > 0)
                {
                    DialogResult result = XtraMessageBox.Show
                    (
                        this,
                        "클립보드 텍스트를 현재 선택에 붙여넣기 하시겠습니까?",
                        "CONFIRMATION",
                        MessageBoxButtons.YesNo,
                        MessageBoxIcon.Question
                    );

                    if(result == DialogResult.No)
                    {
                        this.textEdit.SelectionStart += this.textEdit.SelectionLength;
                
                        this.textEdit.SelectionLength = 0;
                    }
                }
            }

            this.textEdit.Paste();
        }

        #endregion
    }
}